
%define with_indilib 1
%define indilib_version 0.9.8
%define eigen_version 2.91.0
%define xplanet_version 1.2.1
%define rel 1

Name: kstars
Summary: A Desktop Planetarium
Version: 16.04.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/education/kstars/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: %{_lib}qjson-devel
BuildRequires: %{_lib}cfitsio-devel
BuildRequires: %{_lib}wcs-devel

BuildRequires: eigen3
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: knewstuff-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kplotting-devel
BuildRequires: ktexteditor-devel
BuildRequires: kiconthemes-devel
BuildRequires: knotifications-devel
BuildRequires: %{_lib}kf5crash-devel

BuildRequires: xplanet
BuildRequires: libfli-devel
BuildRequires: indilib-devel

%if %with_indilib
BuildRequires: pkgconfig(libindi) >= %{indilib_version}
BuildRequires: indiclient-static-devel >= %{indilib_version}
Requires: indilib >= %{indilib_version}
%endif

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -f %name.lang
%_kf5_datadir/kstars
%_kf5_bindir/kstars
%_kf5_libdir/libhtmesh.a
%_kf5_applicationsdir/*.desktop
%_kf5_appdatadir/org.kde.kstars.appdata.xml
%_kf5_datadir/config.kcfg/kstars.kcfg
%_kf5_sysconfdir/xdg/kstars.knsrc
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kxmlgui5/kstars
%_kf5_knotificationsdir/kstars.notifyrc
%_kf5_datadir/sounds/KDE-KStars-Alert.ogg
%_kf5_datadir/sounds/KDE-KStars-Warning.ogg
# Don't include html doc here
%exclude %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package handbook
Summary: KStars Handbook
Group: Documentations
BuildArch: noarch

%description handbook
This package provides KStars Handbook.

%files handbook -f kstars.lang
%doc COPYING COPYING.DOC README README.ephemerides README.customize
%doc README.images README.planetmath README.timekeeping AUTHORS

#------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --with-html

#(daviddavid) fix invalid-desktopfile
desktop-file-install \
  --dir %{buildroot}%{_kf5_applicationsdir}/ \
  --remove-key='Patterns' \
  %{buildroot}%{_kf5_applicationsdir}/*.desktop

%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

